Export payouts
curl --request GET \
--url https://api.stage.rocka.live/api/payouts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.stage.rocka.live/api/payouts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.stage.rocka.live/api/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.rocka.live/api/payouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.rocka.live/api/payouts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.rocka.live/api/payouts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.rocka.live/api/payouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "4086e6ec1e7e4743af6954edfcbf557f",
"amount": 172.5,
"currency": "EUR",
"status": "Done",
"fee": 0,
"balanceAfterOperation": null,
"balanceImpact": -172.5,
"operationType": "Payout",
"createdAt": "2026-05-11T07:12:51.182Z",
"executedAt": "2026-05-11T07:13:05.747Z",
"receivedAt": null,
"rejectReason": ""
},
{
"id": "bd4b23049d674639a96dabcf1adf07b8",
"amount": 45,
"currency": "EUR",
"status": "Done",
"fee": 0,
"balanceAfterOperation": null,
"balanceImpact": -45,
"operationType": "Payout",
"createdAt": "2026-05-11T07:12:51.182Z",
"executedAt": "2026-05-11T07:13:05.747Z",
"receivedAt": null,
"rejectReason": ""
},
{
"id": "9f45995875a84fa2b0e26f67371899f6",
"amount": 56.5,
"currency": "EUR",
"status": "Done",
"fee": 0,
"balanceAfterOperation": null,
"balanceImpact": -56.5,
"operationType": "Payout",
"createdAt": "2026-05-11T07:12:51.147Z",
"executedAt": "2026-05-11T07:13:05.626Z",
"receivedAt": null,
"rejectReason": ""
}
]Manage your data
Export payouts
GET
/
api
/
payouts
Export payouts
curl --request GET \
--url https://api.stage.rocka.live/api/payouts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.stage.rocka.live/api/payouts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.stage.rocka.live/api/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.rocka.live/api/payouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.rocka.live/api/payouts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.rocka.live/api/payouts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.rocka.live/api/payouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "4086e6ec1e7e4743af6954edfcbf557f",
"amount": 172.5,
"currency": "EUR",
"status": "Done",
"fee": 0,
"balanceAfterOperation": null,
"balanceImpact": -172.5,
"operationType": "Payout",
"createdAt": "2026-05-11T07:12:51.182Z",
"executedAt": "2026-05-11T07:13:05.747Z",
"receivedAt": null,
"rejectReason": ""
},
{
"id": "bd4b23049d674639a96dabcf1adf07b8",
"amount": 45,
"currency": "EUR",
"status": "Done",
"fee": 0,
"balanceAfterOperation": null,
"balanceImpact": -45,
"operationType": "Payout",
"createdAt": "2026-05-11T07:12:51.182Z",
"executedAt": "2026-05-11T07:13:05.747Z",
"receivedAt": null,
"rejectReason": ""
},
{
"id": "9f45995875a84fa2b0e26f67371899f6",
"amount": 56.5,
"currency": "EUR",
"status": "Done",
"fee": 0,
"balanceAfterOperation": null,
"balanceImpact": -56.5,
"operationType": "Payout",
"createdAt": "2026-05-11T07:12:51.147Z",
"executedAt": "2026-05-11T07:13:05.626Z",
"receivedAt": null,
"rejectReason": ""
}
]Authorizations
Query Parameters
Only include payouts that were made after a certain date. YYYY-MM-DD.
Only include payouts that were made before a certain date. YYYY-MM-DD.
Payout status.
Available options:
Processing, Executing, Failed, Done, Rejected Response
200 - application/json
Payouts retrieved successfully.
Payout ID.
The total amount transferred.
Payout currency.
Payout status.
Total payout fee.
Balance remaining after the payout was completed.
The net change to the balance.
Transaction type.
The date and time the payout was created.
The date and time the payout was executed.
The date and time the recipient received the payout.
The reason why the payout failed.
Last modified on October 26, 2026
Was this page helpful?